package intrinsic.flash.media;

public class SoundMixer extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.flash.media.SoundTransform soundTransform;
	public static int bufferTime;

	/** Class variables */

/** Contructors */
public SoundMixer() {
}


/** Static Methods */
public static native void stopAll();
public static native boolean areSoundsInaccessible();
public static native void computeSpectrum(intrinsic.flash.utils.ByteArray arg0);
public static native void computeSpectrum(intrinsic.flash.utils.ByteArray arg0, boolean arg1);
public static native void computeSpectrum(intrinsic.flash.utils.ByteArray arg0, boolean arg1, int arg2);

/** Methods */

}
